%define libxfixes %mklibname xfixes 3
Name: libxfixes
Summary:  X Fixes  Library
Version: 4.0.5
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfixes-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
%{name} is a simple library designed to interface the X Fixes Extension.

#-----------------------------------------------------------

%package -n %{libxfixes}
Summary:  X Fixes  Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxfixes}
%{name} is a simple library designed to interface the X Fixes Extension.

#-----------------------------------------------------------

%package -n %{libxfixes}-devel
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxfixes} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxfixes-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxfixes}-devel
Development files for %{name}

%pre -n %{libxfixes}-devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libxfixes}-devel
%defattr(-,root,root)
%{_libdir}/libXfixes.so
%{_libdir}/libXfixes.la
%{_libdir}/pkgconfig/xfixes.pc
%{_includedir}/X11/extensions/Xfixes.h
%{_mandir}/man3/Xfixes.*

#-----------------------------------------------------------

%package -n %{libxfixes}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxfixes}-devel = %{version}
Provides: libxfixes-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxfixes}-static-devel
Static development files for %{name}

%files -n %{libxfixes}-static-devel
%defattr(-,root,root)
%{_libdir}/libXfixes.a

#-----------------------------------------------------------

%prep
%setup -q -n libXfixes-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%files -n %{libxfixes}
%defattr(-,root,root)
%{_libdir}/libXfixes.so.3
%{_libdir}/libXfixes.so.3.1.0




%changelog
* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 4.0.5-1mdv2011.0
+ Revision: 556456
- new release

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 4.0.4-1mdv2010.1
+ Revision: 463609
- new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.0.3-5mdv2010.0
+ Revision: 425898
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 4.0.3-4mdv2009.0
+ Revision: 223073
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 4.0.3-3mdv2008.1
+ Revision: 151684
- Update BuildRequires and rebuild.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 4.0.3-2mdv2008.1
+ Revision: 129248
- kill re-definition of %%buildroot on Pixel's request
- fix man pages extension


* Fri Feb 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 4.0.3-2mdv2007.0
+ Revision: 121698
- bump release

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 4.0.3-1mdv2007.1
+ Revision: 85952
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

